> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Orchestrate Assistant Run



## OpenAPI

````yaml get /v1/orchestrate/runs/{run_id}
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/orchestrate/runs/{run_id}:
    get:
      tags:
        - Orchestrate Agent
      summary: Get Orchestrate Assistant Run
      operationId: Get_Orchestrate_Assistant_Run_v1_orchestrate_runs__run_id__get
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            title: Run Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantRun'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AssistantRun:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Id
        assistant_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assistant Id
        thread_id:
          type: string
          format: uuid
          title: Thread Id
        status:
          anyOf:
            - $ref: '#/components/schemas/AssistantRunStatus'
            - type: 'null'
          default: pending
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        failed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Failed At
        cancelled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Cancelled At
        llm_params:
          anyOf:
            - $ref: '#/components/schemas/TextGenerationParameters'
            - type: 'null'
        usage:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Usage
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
        result:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Result
        guardrails:
          anyOf:
            - $ref: '#/components/schemas/Guardrails-Output'
            - type: 'null'
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        additional_parameters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Additional Parameters
        trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Trace Id
      type: object
      required:
        - id
        - thread_id
      title: AssistantRun
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AssistantRunStatus:
      type: string
      enum:
        - pending
        - running
        - completed
        - async_wait
        - async_completed
        - failed
        - cancelled
        - requires_input
        - expired
      title: AssistantRunStatus
    TextGenerationParameters:
      properties:
        beam_width:
          anyOf:
            - type: integer
              maximum: 3
              minimum: 0
            - type: 'null'
          title: Beam width
        decoding_method:
          anyOf:
            - $ref: '#/components/schemas/DecodingMethod'
            - type: 'null'
        include_stop_sequence:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Include Stop Sequence
        length_penalty:
          anyOf:
            - $ref: '#/components/schemas/LengthPenalty'
            - type: 'null'
        max_new_tokens:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Max new tokens
        min_new_tokens:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Min new tokens
        random_seed:
          anyOf:
            - type: integer
              maximum: 4294967295
              minimum: 1
            - type: 'null'
          title: Random seed
        repetition_penalty:
          anyOf:
            - type: number
              multipleOf: 0.01
              maximum: 2
              minimum: 1
            - type: 'null'
          title: Repetition penalty
        return_options:
          anyOf:
            - $ref: '#/components/schemas/TextGenerationReturnOptions'
            - type: 'null'
        stop_sequences:
          anyOf:
            - items:
                type: string
              type: array
              maxItems: 6
              minItems: 1
            - type: 'null'
          title: Stop sequences
          examples:
            - '[" and "]'
        temperature:
          anyOf:
            - type: number
              multipleOf: 0.01
              maximum: 2
              minimum: 0
            - type: 'null'
          title: Temperature
        time_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Time limit
        top_k:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 1
            - type: 'null'
          title: Top K
        top_p:
          anyOf:
            - type: number
              multipleOf: 0.01
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Top P (nucleus sampling)
        truncate_input_tokens:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Truncate input tokens
        typical_p:
          anyOf:
            - type: number
              multipleOf: 0.01
              maximum: 1
              minimum: 0.01
            - type: 'null'
          title: Typical P
      additionalProperties: true
      type: object
      title: TextGenerationParameters
    Guardrails-Output:
      properties:
        hap:
          anyOf:
            - $ref: '#/components/schemas/Guardrail'
            - type: 'null'
        social_bias:
          anyOf:
            - $ref: '#/components/schemas/Guardrail'
            - type: 'null'
        pii:
          anyOf:
            - $ref: '#/components/schemas/Guardrail'
            - type: 'null'
      additionalProperties: false
      type: object
      title: Guardrails
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DecodingMethod:
      type: string
      enum:
        - greedy
        - sample
      title: DecodingMethod
    LengthPenalty:
      properties:
        decay_factor:
          anyOf:
            - type: number
              exclusiveMinimum: 1
            - type: 'null'
          title: Decay factor
        start_index:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Start index
      additionalProperties: true
      type: object
      title: LengthPenalty
    TextGenerationReturnOptions:
      properties:
        generated_tokens:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Generated Tokens
          default: false
        input_parameters:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Input Parameters
        input_text:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Input text
          default: false
        input_tokens:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Input Tokens
          default: false
        token_logprobs:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Token logprobs
          default: false
        token_ranks:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Token ranks
          default: false
        top_n_tokens:
          anyOf:
            - type: integer
              maximum: 5
              minimum: 0
            - type: 'null'
          title: Top N tokens
      additionalProperties: true
      type: object
      title: TextGenerationReturnOptions
    Guardrail:
      properties:
        input:
          anyOf:
            - $ref: '#/components/schemas/GuardrailConfig'
            - type: 'null'
        output:
          anyOf:
            - $ref: '#/components/schemas/GuardrailConfig'
            - type: 'null'
        mask:
          anyOf:
            - $ref: '#/components/schemas/MaskProperties'
            - type: 'null'
      additionalProperties: false
      type: object
      title: Guardrail
    GuardrailConfig:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
        threshold:
          type: number
          title: Threshold
          default: 0.5
      additionalProperties: false
      type: object
      title: GuardrailConfig
    MaskProperties:
      properties:
        remove_entity_value:
          type: boolean
          title: Remove Entity Value
          default: false
      additionalProperties: false
      type: object
      title: MaskProperties
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````